package com.recovery.admin.boot.rest;


import com.recovery.admin.boot.service.UserService;
import com.recovery.common.base.dto.MemberUserAuthDTO;
import com.recovery.common.base.dto.UserAuthDTO;
import com.recovery.common.base.result.ApiResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author： 
 */
@RestController
@RequestMapping("/api/rest/users")
@Slf4j
public class UserRest {

    @Resource
    private UserService userService;


    /**
     * 获取用户信息
     */
    @GetMapping("/getUserByUsername")
    public ApiResult<UserAuthDTO> getUserByUsername(@RequestParam(value = "username") String username) {
        UserAuthDTO user = userService.getByUsername(username);
        if (user == null) {
            throw new RuntimeException();
        }
        return ApiResult.ok(user);
    }
}
